[CentOS] hplip problems - configure: error: "cannot find libjpeg support"

Anne Wilson cannewilson at googlemail.com
Mon Mar 9 16:38:29 UTC 2009


On Monday 09 March 2009 13:40, John Doe wrote:
> > > there's
> > > also:
> > >   rpm -qa dbus-python\*
> > > to check that something is installed.
> >
> > That simply returns
> > dbus-python-0.70-7.el5
>
> In case you did not try it already, have you tried hp-check?

To me it implies that I have earlier versions of some packages than the 
required ones.

> Did you check
> http://hplipopensource.com/hplip-web/install/manual/distros/centos.html for
> dependencies?
>
No - I didn't know about that page.  When I installed it before there were   
some  included instructions and I followed those.  Presumably they are now 
out of date.  I'll try that page in a day or two, when I have time for a 
decent session.  However, I did give yum the command for all those 
dependencies, and it did find some that I didn't have already, but after that 
hp-check still listed these:

Checking PyQt 4.x version...
error: NOT FOUND OR FAILED TO LOAD!

Checking for dependency: CUPS DDK - CUPS driver development kit...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP 
functionality may not function properly

Checking for dependency: DBus - Message bus system...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this 
dependency is installed before installing or running HPLIP.

Checking for dependency: libcrypto - OpenSSL cryptographic library...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this 
dependency is installed before installing or running HPLIP.

Checking for dependency: libnetsnmp-devel - SNMP networking library 
development files...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this 
dependency is installed before installing or running HPLIP.

Checking for dependency: ppdev - Parallel port support kernel module....
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure 
that this dependency is installed before installing or running HPLIP.

Checking for dependency: PyQt 4- Qt interface for Python (for Qt version 
4.x)...
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure 
that this dependency is installed before installing or running HPLIP

Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure 
that this dependency is installed before installing or running HPLIP.

Checking for dependency: Python ctypes - A foreign function library for 
Python...
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure 
that this dependency is installed before installing or running HPLIP.

Checking for dependency: Python DBus - Python bindings for DBus...
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure 
that this dependency is installed before installing or running HPLIP.

Checking for dependency: SANE - Scanning library development files...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make 
sure that this dependency is installed before installing or running HPLIP.

I'll have to come back to this later in the week.

Anne


More information about the CentOS mailing list